<div class="card-container" style="text-align: center">

  <div style=" margin-left: 30px; text-align: center ">
    <form>
      <table >
<tr>
  <td>
    <label>First Name <span class="required">*</span></label>
  </td>
  <td>
    <input type="text" name="field1" class="field-divided" placeholder="Full Name" [(ngModel)]="per.firstName" />
  </td>
</tr>
<tr>
  <td>
    <label>Last Name <span class="required">*</span></label>
  </td>
  <td>
    <input type="text" name="field2" class="field-divided" placeholder="Last Name" [(ngModel)]="per.lastName" />
  </td>
</tr>
<tr>
  <td>
    <label>Email <span class="required">*</span></label>

  </td>
  <td>
    <input type="text" name="field3" class="field-divided" placeholder="email" [(ngModel)]="per.email" />

  </td>
</tr>
<tr>
  <td>
    <button [hidden]= "!showUpdateBtn" (click)="onUpdatePersonAction(per)" type="button">Update</button>

  </td>
  <td>
    <button [hidden]= "showUpdateBtn" (click)="onAddPersonAction()" type="button">Add</button>

  </td>
</tr>

      </table>
      
    </form>
  </div>
  <div class="card-container" style="display: block;"  *ngIf="selectedPerson" >
 
        <label>First name : {{ selectedPerson.firstName }}</label> <br>

        <label>Last name : {{ selectedPerson.lastName }}</label> <br>
        <label>Email : {{ selectedPerson.email }}</label> <br>

      

  </div>

  <div class="card-container" style="display: block;">
      <table>
        <th>Name</th><th>Action</th>
        <tr  *ngFor="let person of personList">
          <td>
            {{ person.firstName }} 
          </td>
          <td>
            <i (click)="onDeleteAction(person.id)" class="fa fa-trash delete-icon tooltip"><span class="tooltiptext"> Delete </span></i>
            <i (click)="onDisplayAction(person)" class="fa fa-trash delete-icon tooltip"><span class="tooltiptext"> Display </span></i>
            <i (click)="onSelect(person)" class="fa fa-trash delete-icon tooltip"><span class="tooltiptext"> Update </span></i>          </td>
        </tr>
      </table>
    
  </div>